#pragma once
#include "Entity.h"
#define CS_ENEMY_STUMPY_CREATENAME L"CS_enemy_stumpy"
//µÐÈË£ºòßòÑ
class CS_Enemy_Stumpy :
    public Entity
{
public:
    CS_Enemy_Stumpy();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_no = 0;
    int act_wait = 0;
    int ani_wait = 0;
};

std::shared_ptr<Entity> CreateCS_Enemy_Stumpy();